{% extends "base.html.twig" %}

{% block body %}

    <div class="container">
        <div class="row mb-4">
            <div class="col-12">
                <a href="{{ path('admin_user_add') }}" class="btn btn-info"><i class="fa fa-plus"></i> {{ 'Benutzer hinzufügen' }}</a>
            </div>
        </div>
        <div class="row">
            {% for user in users %}

                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-11">
                                    <h5>{{ user.getUsername() }}</h5>
                                </div>
                                <div class="col-1 text-right">
                                    <a href="{{ path('admin_users_delete', {'user': user}) }}" class="text-danger"><i class="fa fa-trash"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-striped">
                                <tr>
                                    <th>Username</th>
                                    <td>{{ user.getUsername() }}</td>
                                </tr>
                                <tr>
                                    <th>Firstname</th>
                                    <td>{{ user.getFirstname() }}</td>
                                </tr>
                                <tr>
                                    <th>Lastname</th>
                                    <td>{{ user.getLastname() }}</td>
                                </tr>
                                <tr>
                                    <th>isAdmin</th>
                                    <td>
                                        <i class="fa {{ user.isAdmin() ? 'fa-check text-success' : 'fa-times text-warning' }} "></i>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Roles</th>
                                    <td>
                                        <ul>
                                            {% for role in user.getRoles() %}
                                                <li>{{ role }}</li>
                                            {% endfor %}
                                        </ul>
                                    </td>
                                </tr>
                            </table>
                            <a href="{{ path('admin_users_edit', {'user': user}) }}" class="btn btn-primary">{{ 'admin.users_list.edit'|trans }}</a>
                        </div>
                    </div>
                </div>

            {% endfor %}
        </div>
    </div>

{% endblock %}

